Qt 5.6 | Qt 3D | C++ Classes | QFrameGraph

Qt 5.6.3 Reference Documentation

# QFrameGraph Class

(Qt3DRender::QFrameGraph)

Defines the rendering method to be used by the renderer. More...

Header: | #include <QFrameGraph>
qmake: | QT += 3drender
Since: | Qt 5.3
Instantiated By: | FrameGraph
Inherits: | Qt3DCore::QComponent

- List of all members, including inherited members

## Properties

- activeFrameGraph : Qt3DRender::QFrameGraphNode *

- 1 property inherited from Qt3DCore::QComponent
- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QFrameGraph(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QFrameGraph()
QFrameGraphNode * | activeFrameGraph() const

- 2 public functions inherited from Qt3DCore::QComponent
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setActiveFrameGraph(QFrameGraphNode *activeFrameGraph)

- 1 public slot inherited from Qt3DCore::QComponent
- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | activeFrameGraphChanged(QFrameGraphNode *activeFrameGraph)

- 2 signals inherited from Qt3DCore::QComponent
- 2 signals inherited from Qt3DCore::QNode

## Protected Functions

| QFrameGraph(QFrameGraphPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)
void | copy(const Qt3DCore::QNode *ref)

- 1 protected function inherited from Qt3DCore::QComponent
- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 static protected member inherited from Qt3DCore::QNode

## Detailed Description

Defines the rendering method to be used by the renderer.

QFrameGraph is the Component that has an activeFrameGraph property that should reference the root FrameGraphItem of a frame graph tree. The Entity that contains a FrameGraph property defines the rendering method to be used by the renderer.

Note: Only one FrameGraph can be active at any moment.

## Property Documentation

### activeFrameGraph : Qt3DRender::QFrameGraphNode *

Holds the current activeFrameGraph root node.

Access functions:

QFrameGraphNode * | activeFrameGraph() const
void | setActiveFrameGraph(QFrameGraphNode *activeFrameGraph)

Notifier signal:

void | activeFrameGraphChanged(QFrameGraphNode *activeFrameGraph)

## Member Function Documentation

### QFrameGraph::QFrameGraph(Qt3DCore::QNode *parent = Q_NULLPTR)

Constructs a new QFrameGraph with the specified parent.

### `[protected]` QFrameGraph::QFrameGraph(QFrameGraphPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)

Copy constructor.

### QFrameGraph::~QFrameGraph()

Destroys the instance of QFrameGraph.

### `[protected]` void QFrameGraph::copy(const Qt3DCore::QNode *ref)

Copies the ref instance into this one.